import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';
var Wrapper =
/*#__PURE__*/
styled.div.withConfig({
  componentId: "pe4dcp-0"
})(["display:flex;flex-direction:row;justify-content:space-between;align-items:center;width:", ";border-radius:3px;&::after{content:'';position:relative;text-align:center;width:0;height:0;border-left:8px solid transparent;border-right:8px solid transparent;border-top:8px solid ", ";pointer-events:none;}"], function (props) {
  return props.width;
}, function (props) {
  return props.theme['dropdownArrowColor'];
});
var Select =
/*#__PURE__*/
styled.select.withConfig({
  componentId: "pe4dcp-1"
})(["position:relative;width:calc(100% - 30px);color:", ";background-color:transparent;appearance:none;border:none;font-family:", ";font-size:", ";font-weight:", ";text-transform:", ";font-style:", ";border-radius:0.3rem;cursor:pointer;outline:none;text-align:left;text-overflow:ellipsis;white-space:nowrap;"], function (props) {
  return props.theme['dropdownColor'];
}, function (props) {
  return props.theme['fontPrimary'];
}, function (props) {
  return props.size;
}, function (props) {
  return props.weight;
}, function (props) {
  return props.uppercase ? 'uppercase' : props.capitalize ? 'capitalize' : 'none';
}, function (props) {
  return props.italic ? 'italic' : 'normal';
});

var SingleDropdown = function SingleDropdown(_ref) {
  var items = _ref.items,
      width = _ref.width,
      rest = _objectWithoutProperties(_ref, ["items", "width"]);

  return React.createElement(Wrapper, {
    width: width
  }, React.createElement(Select, rest, items.map(function (item) {
    return React.createElement("option", {
      key: item.value,
      value: item.value
    }, item.text);
  })));
};

SingleDropdown.propTypes = process.env.NODE_ENV !== "production" ? {
  capitalize: PropTypes.bool,
  italic: PropTypes.bool,
  items: PropTypes.arrayOf(PropTypes.shape({
    text: PropTypes.string,
    value: PropTypes.any
  })).isRequired,
  onChange: PropTypes.func.isRequired,
  size: PropTypes.string,
  uppercase: PropTypes.bool,
  value: PropTypes.any,
  weight: PropTypes.oneOf([100, 200, 300, 400, 500, 600, 700, 800, 900]),
  width: PropTypes.string.isRequired
} : {};
SingleDropdown.defaultProps = {
  capitalize: false,
  italic: false,
  size: '1rem',
  uppercase: false,
  weight: 300,
  width: '100%'
};
export default SingleDropdown;