import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';
import { FasSearch } from '../../Atoms/Icons';
import { Input } from '../../Atoms/Inputs';
var Wrapper =
/*#__PURE__*/
styled.div.withConfig({
  componentId: "sc-19cmubo-0"
})(["position:relative;display:flex;flex-direction:row;justify-content:flex-start;align-items:center;width:", ";background-color:", ";box-shadow:0 2px 8px 1px ", ";border-radius:0.125rem;"], function (props) {
  return props.width;
}, function (props) {
  return props.theme['searchBarBackgroundColor'];
}, function (props) {
  return props.theme['searchBarShadowColor'];
});
var IconContainer =
/*#__PURE__*/
styled.div.withConfig({
  componentId: "sc-19cmubo-1"
})(["position:absolute;top:50%;left:1rem;margin-top:-10px;display:flex;flex-direction:row;justify-content:center;align-items:center;background-color:inherit;border-color:transparent;"]);
var SearchIcon =
/*#__PURE__*/
styled(FasSearch).attrs({
  selectable: false,
  size: '20px'
}).withConfig({
  componentId: "sc-19cmubo-2"
})(["fill:", ";&:hover{fill:", ";}"], function (props) {
  return props.theme['searchBarIconColor'];
}, function (props) {
  return props.theme['searchBarIconColor'];
});
var SearchInput =
/*#__PURE__*/
styled(Input).withConfig({
  componentId: "sc-19cmubo-3"
})(["height:3.5rem;padding-left:3rem;background-color:inherit;border-color:transparent;"]);
var GoContainer =
/*#__PURE__*/
styled.div.withConfig({
  componentId: "sc-19cmubo-4"
})(["display:flex;flex-direction:row;justify-content:center;align-items:center;width:auto;min-width:4rem;height:3.5rem;padding:1rem;box-sizing:border-box;font-family:", ";font-size:1.75rem;font-weight:400;color:", ";background-color:", ";border-top-right-radius:0.125rem;border-bottom-right-radius:0.125rem;white-space:nowrap;&:hover{background-color:", ";cursor:pointer;}"], function (props) {
  return props.theme['fontPrimary'];
}, function (props) {
  return props.theme['searchBarSubmitColor'];
}, function (props) {
  return props.theme['searchBarSubmitBackgroundColor'];
}, function (props) {
  return props.theme['searchBarSubmitHoverBackgroundColor'];
});

var GoLabel = function GoLabel() {
  return React.createElement(React.Fragment, null, "Go");
};

var SearchBar = function SearchBar(_ref) {
  var children = _ref.children,
      renderSubmit = _ref.renderSubmit,
      width = _ref.width,
      onChange = _ref.onChange,
      onClick = _ref.onClick,
      rest = _objectWithoutProperties(_ref, ["children", "renderSubmit", "width", "onChange", "onClick"]);

  return React.createElement(Wrapper, {
    width: width
  }, React.createElement(IconContainer, null, React.createElement(SearchIcon, null)), React.createElement(SearchInput, _extends({
    onChange: onChange
  }, rest)), React.createElement(GoContainer, {
    onClick: onClick
  }, renderSubmit()));
};

SearchBar.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node,
  onChange: PropTypes.func,
  onClick: PropTypes.func,
  renderSubmit: PropTypes.func,
  value: PropTypes.any,
  width: PropTypes.string
} : {};
SearchBar.defaultProps = {
  renderSubmit: GoLabel,
  width: '100%'
};
export default SearchBar;