import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';
import { FasSearch } from '../../Atoms/Icons';
import { Input } from '../../Atoms/Inputs';
var Wrapper =
/*#__PURE__*/
styled.div.withConfig({
  componentId: "t29ya6-0"
})(["display:flex;flex-direction:row;justify-content:flex-start;align-items:center;width:", ";border-bottom:1px solid ", ";background-color:", ";"], function (props) {
  return props.width;
}, function (props) {
  return props.theme['searchBarUnderlinedBorderColor'];
}, function (props) {
  return props.theme['searchBarUnderlinedBackgroundColor'];
});
var SearchInput =
/*#__PURE__*/
styled(Input).withConfig({
  componentId: "t29ya6-1"
})(["background-color:inherit;border-color:transparent;"]);
var IconContainer =
/*#__PURE__*/
styled.div.withConfig({
  componentId: "t29ya6-2"
})(["display:flex;flex-direction:row;justify-content:center;align-items:center;width:60px;height:40px;"]);

var SearchBarUnderlined = function SearchBarUnderlined(_ref) {
  var children = _ref.children,
      width = _ref.width,
      onChange = _ref.onChange,
      onClick = _ref.onClick,
      value = _ref.value,
      rest = _objectWithoutProperties(_ref, ["children", "width", "onChange", "onClick", "value"]);

  return React.createElement(Wrapper, {
    width: width
  }, React.createElement(SearchInput, _extends({
    onChange: onChange,
    value: value
  }, rest)), React.createElement(IconContainer, null, React.createElement(FasSearch, {
    onClick: onClick,
    selectable: true,
    size: "20px"
  })));
};

SearchBarUnderlined.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node,
  onChange: PropTypes.func,
  onClick: PropTypes.func,
  value: PropTypes.any,
  width: PropTypes.string
} : {};
SearchBarUnderlined.defaultProps = {
  width: '100%'
};
export default SearchBarUnderlined;