import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import PropTypes from 'prop-types';
import React from 'react';
import styled from 'styled-components';
import { FasCheckCircle, FasExclamationCircle, FasTimes } from '../../Atoms/Icons';
var PADDING = '1.025rem';
var Wrapper =
/*#__PURE__*/
styled.div.withConfig({
  componentId: "w76f97-0"
})(["display:inline-flex;padding:", ";font-family:", ";background-color:", ";border-radius:", ";color:", ";box-shadow:rgba(67,90,111,0.416) 0 0 1px,rgba(67,90,111,0.3) 0 8px 10px -4px;min-width:250px;max-width:560px;"], PADDING, function (props) {
  return props.theme.fontPrimary;
}, function (props) {
  return props.theme.toastBackgroundColor;
}, function (props) {
  return props.theme.toastBorderRadius;
}, function (props) {
  return props.theme.toastTextColor;
});
var Content =
/*#__PURE__*/
styled.div.withConfig({
  componentId: "w76f97-1"
})(["display:flex;flex:1 1 0%;flex-direction:column;"]);
var Title =
/*#__PURE__*/
styled.div.withConfig({
  componentId: "w76f97-2"
})(["display:flex;font-weight:600;"]);
var Description =
/*#__PURE__*/
styled.div.withConfig({
  componentId: "w76f97-3"
})(["display:flex;padding-top:0.325rem;"]);
var Close =
/*#__PURE__*/
styled.div.withConfig({
  componentId: "w76f97-4"
})(["padding-left:", ";"], PADDING);
var IndicatorSuccess =
/*#__PURE__*/
styled(FasCheckCircle).attrs({
  size: '16px'
}).withConfig({
  componentId: "w76f97-5"
})(["padding-right:", ";fill:", ";&:hover{fill:", ";}"], PADDING, function (props) {
  return props.theme.successColor;
}, function (props) {
  return props.theme.successColor;
});
var IndicatorWarning =
/*#__PURE__*/
styled(FasExclamationCircle).attrs({
  size: '16px'
}).withConfig({
  componentId: "w76f97-6"
})(["padding-right:", ";fill:", ";&:hover{fill:", ";}"], PADDING, function (props) {
  return props.theme.warningColor;
}, function (props) {
  return props.theme.warningColor;
});
var IndicatorDanger =
/*#__PURE__*/
styled(IndicatorWarning).withConfig({
  componentId: "w76f97-7"
})(["fill:", ";&:hover{fill:", ";}"], function (props) {
  return props.theme.dangerColor;
}, function (props) {
  return props.theme.dangerColor;
});

var Toast = function Toast(_ref) {
  var description = _ref.description,
      onClose = _ref.onClose,
      title = _ref.title,
      type = _ref.type,
      rest = _objectWithoutProperties(_ref, ["description", "onClose", "title", "type"]);

  return React.createElement(Wrapper, rest, type === 'success' && React.createElement(IndicatorSuccess, null), type === 'warning' && React.createElement(IndicatorWarning, null), type === 'danger' && React.createElement(IndicatorDanger, null), React.createElement(Content, null, React.createElement(Title, null, title), description && React.createElement(Description, null, description)), React.createElement(Close, null, React.createElement(FasTimes, {
    onClick: onClose,
    selectable: true,
    size: "16px"
  })));
};

Toast.propTypes = process.env.NODE_ENV !== "production" ? {
  description: PropTypes.string,
  onClose: PropTypes.func,
  title: PropTypes.string.isRequired,
  type: PropTypes.oneOf(['default', 'danger', 'success', 'warning'])
} : {};
Toast.defaultProps = {
  type: 'default'
};
export default Toast;