"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var Wrapper =
/*#__PURE__*/
_styledComponents.default.div.withConfig({
  componentId: "pe4dcp-0"
})(["display:flex;flex-direction:row;justify-content:space-between;align-items:center;width:", ";border-radius:3px;&::after{content:'';position:relative;text-align:center;width:0;height:0;border-left:8px solid transparent;border-right:8px solid transparent;border-top:8px solid ", ";pointer-events:none;}"], function (props) {
  return props.width;
}, function (props) {
  return props.theme['dropdownArrowColor'];
});

var Select =
/*#__PURE__*/
_styledComponents.default.select.withConfig({
  componentId: "pe4dcp-1"
})(["position:relative;width:calc(100% - 30px);color:", ";background-color:transparent;appearance:none;border:none;font-family:", ";font-size:", ";font-weight:", ";text-transform:", ";font-style:", ";border-radius:0.3rem;cursor:pointer;outline:none;text-align:left;text-overflow:ellipsis;white-space:nowrap;"], function (props) {
  return props.theme['dropdownColor'];
}, function (props) {
  return props.theme['fontPrimary'];
}, function (props) {
  return props.size;
}, function (props) {
  return props.weight;
}, function (props) {
  return props.uppercase ? 'uppercase' : props.capitalize ? 'capitalize' : 'none';
}, function (props) {
  return props.italic ? 'italic' : 'normal';
});

var SingleDropdown = function SingleDropdown(_ref) {
  var items = _ref.items,
      width = _ref.width,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["items", "width"]);
  return _react.default.createElement(Wrapper, {
    width: width
  }, _react.default.createElement(Select, rest, items.map(function (item) {
    return _react.default.createElement("option", {
      key: item.value,
      value: item.value
    }, item.text);
  })));
};

SingleDropdown.propTypes = process.env.NODE_ENV !== "production" ? {
  capitalize: _propTypes.default.bool,
  italic: _propTypes.default.bool,
  items: _propTypes.default.arrayOf(_propTypes.default.shape({
    text: _propTypes.default.string,
    value: _propTypes.default.any
  })).isRequired,
  onChange: _propTypes.default.func.isRequired,
  size: _propTypes.default.string,
  uppercase: _propTypes.default.bool,
  value: _propTypes.default.any,
  weight: _propTypes.default.oneOf([100, 200, 300, 400, 500, 600, 700, 800, 900]),
  width: _propTypes.default.string.isRequired
} : {};
SingleDropdown.defaultProps = {
  capitalize: false,
  italic: false,
  size: '1rem',
  uppercase: false,
  weight: 300,
  width: '100%'
};
var _default = SingleDropdown;
exports.default = _default;