"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Icons = require("../../Atoms/Icons");

var _Inputs = require("../../Atoms/Inputs");

var Wrapper =
/*#__PURE__*/
_styledComponents.default.div.withConfig({
  componentId: "sc-19cmubo-0"
})(["position:relative;display:flex;flex-direction:row;justify-content:flex-start;align-items:center;width:", ";background-color:", ";box-shadow:0 2px 8px 1px ", ";border-radius:0.125rem;"], function (props) {
  return props.width;
}, function (props) {
  return props.theme['searchBarBackgroundColor'];
}, function (props) {
  return props.theme['searchBarShadowColor'];
});

var IconContainer =
/*#__PURE__*/
_styledComponents.default.div.withConfig({
  componentId: "sc-19cmubo-1"
})(["position:absolute;top:50%;left:1rem;margin-top:-10px;display:flex;flex-direction:row;justify-content:center;align-items:center;background-color:inherit;border-color:transparent;"]);

var SearchIcon =
/*#__PURE__*/
(0, _styledComponents.default)(_Icons.FasSearch).attrs({
  selectable: false,
  size: '20px'
}).withConfig({
  componentId: "sc-19cmubo-2"
})(["fill:", ";&:hover{fill:", ";}"], function (props) {
  return props.theme['searchBarIconColor'];
}, function (props) {
  return props.theme['searchBarIconColor'];
});
var SearchInput =
/*#__PURE__*/
(0, _styledComponents.default)(_Inputs.Input).withConfig({
  componentId: "sc-19cmubo-3"
})(["height:3.5rem;padding-left:3rem;background-color:inherit;border-color:transparent;"]);

var GoContainer =
/*#__PURE__*/
_styledComponents.default.div.withConfig({
  componentId: "sc-19cmubo-4"
})(["display:flex;flex-direction:row;justify-content:center;align-items:center;width:auto;min-width:4rem;height:3.5rem;padding:1rem;box-sizing:border-box;font-family:", ";font-size:1.75rem;font-weight:400;color:", ";background-color:", ";border-top-right-radius:0.125rem;border-bottom-right-radius:0.125rem;white-space:nowrap;&:hover{background-color:", ";cursor:pointer;}"], function (props) {
  return props.theme['fontPrimary'];
}, function (props) {
  return props.theme['searchBarSubmitColor'];
}, function (props) {
  return props.theme['searchBarSubmitBackgroundColor'];
}, function (props) {
  return props.theme['searchBarSubmitHoverBackgroundColor'];
});

var GoLabel = function GoLabel() {
  return _react.default.createElement(_react.default.Fragment, null, "Go");
};

var SearchBar = function SearchBar(_ref) {
  var children = _ref.children,
      renderSubmit = _ref.renderSubmit,
      width = _ref.width,
      onChange = _ref.onChange,
      onClick = _ref.onClick,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["children", "renderSubmit", "width", "onChange", "onClick"]);
  return _react.default.createElement(Wrapper, {
    width: width
  }, _react.default.createElement(IconContainer, null, _react.default.createElement(SearchIcon, null)), _react.default.createElement(SearchInput, (0, _extends2.default)({
    onChange: onChange
  }, rest)), _react.default.createElement(GoContainer, {
    onClick: onClick
  }, renderSubmit()));
};

SearchBar.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes.default.node,
  onChange: _propTypes.default.func,
  onClick: _propTypes.default.func,
  renderSubmit: _propTypes.default.func,
  value: _propTypes.default.any,
  width: _propTypes.default.string
} : {};
SearchBar.defaultProps = {
  renderSubmit: GoLabel,
  width: '100%'
};
var _default = SearchBar;
exports.default = _default;