"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Icons = require("../../Atoms/Icons");

var PADDING = '1.025rem';

var Wrapper =
/*#__PURE__*/
_styledComponents.default.div.withConfig({
  componentId: "w76f97-0"
})(["display:inline-flex;padding:", ";font-family:", ";background-color:", ";border-radius:", ";color:", ";box-shadow:rgba(67,90,111,0.416) 0 0 1px,rgba(67,90,111,0.3) 0 8px 10px -4px;min-width:250px;max-width:560px;"], PADDING, function (props) {
  return props.theme.fontPrimary;
}, function (props) {
  return props.theme.toastBackgroundColor;
}, function (props) {
  return props.theme.toastBorderRadius;
}, function (props) {
  return props.theme.toastTextColor;
});

var Content =
/*#__PURE__*/
_styledComponents.default.div.withConfig({
  componentId: "w76f97-1"
})(["display:flex;flex:1 1 0%;flex-direction:column;"]);

var Title =
/*#__PURE__*/
_styledComponents.default.div.withConfig({
  componentId: "w76f97-2"
})(["display:flex;font-weight:600;"]);

var Description =
/*#__PURE__*/
_styledComponents.default.div.withConfig({
  componentId: "w76f97-3"
})(["display:flex;padding-top:0.325rem;"]);

var Close =
/*#__PURE__*/
_styledComponents.default.div.withConfig({
  componentId: "w76f97-4"
})(["padding-left:", ";"], PADDING);

var IndicatorSuccess =
/*#__PURE__*/
(0, _styledComponents.default)(_Icons.FasCheckCircle).attrs({
  size: '16px'
}).withConfig({
  componentId: "w76f97-5"
})(["padding-right:", ";fill:", ";&:hover{fill:", ";}"], PADDING, function (props) {
  return props.theme.successColor;
}, function (props) {
  return props.theme.successColor;
});
var IndicatorWarning =
/*#__PURE__*/
(0, _styledComponents.default)(_Icons.FasExclamationCircle).attrs({
  size: '16px'
}).withConfig({
  componentId: "w76f97-6"
})(["padding-right:", ";fill:", ";&:hover{fill:", ";}"], PADDING, function (props) {
  return props.theme.warningColor;
}, function (props) {
  return props.theme.warningColor;
});
var IndicatorDanger =
/*#__PURE__*/
(0, _styledComponents.default)(IndicatorWarning).withConfig({
  componentId: "w76f97-7"
})(["fill:", ";&:hover{fill:", ";}"], function (props) {
  return props.theme.dangerColor;
}, function (props) {
  return props.theme.dangerColor;
});

var Toast = function Toast(_ref) {
  var description = _ref.description,
      onClose = _ref.onClose,
      title = _ref.title,
      type = _ref.type,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["description", "onClose", "title", "type"]);
  return _react.default.createElement(Wrapper, rest, type === 'success' && _react.default.createElement(IndicatorSuccess, null), type === 'warning' && _react.default.createElement(IndicatorWarning, null), type === 'danger' && _react.default.createElement(IndicatorDanger, null), _react.default.createElement(Content, null, _react.default.createElement(Title, null, title), description && _react.default.createElement(Description, null, description)), _react.default.createElement(Close, null, _react.default.createElement(_Icons.FasTimes, {
    onClick: onClose,
    selectable: true,
    size: "16px"
  })));
};

Toast.propTypes = process.env.NODE_ENV !== "production" ? {
  description: _propTypes.default.string,
  onClose: _propTypes.default.func,
  title: _propTypes.default.string.isRequired,
  type: _propTypes.default.oneOf(['default', 'danger', 'success', 'warning'])
} : {};
Toast.defaultProps = {
  type: 'default'
};
var _default = Toast;
exports.default = _default;